%define _name gstreamer
%define ver_major 0.6

Name: %_name-plugins
Version: %ver_major.4
Release: alt1

Summary: GStreamer Streaming-media framework plugins
License: LGPL
Group: System/Libraries
Url: http://%_name.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/%_name/gst-plugins-%version.tar.bz2
Patch: %name-0.6.4-alt-mpeg2dec.patch

Obsoletes: %_name-plugin-libs
Provides: %_name-plugin-libs = %version-%release

%define GConf_ver 2.4.0
Requires(post): GConf2 >= %GConf_ver
Requires(post,postun): %_name-utils = %version

BuildPreReq: kernel-headers-std

BuildPreReq: libtool_1.4

BuildPreReq: %_name-devel = %version

# Plugins we can build
%def_with a52dec
%def_with aalib
%def_with alsa
%def_with artsd
%def_with audio_effects
%def_with audio_formats
%def_with audiofile
%def_with avi
%def_with cdparanoia
%def_with colorspace
%def_with dv
%def_without dxr3
%def_with esd
%def_with fame
%def_without festival
%def_with ffmpeg
%def_with flac
%def_with flx
%def_with gnome_vfs
%def_with gsm
%def_without http
%def_with icecast
%def_with jack
%def_with jpeg
%def_with jpegmmx
%def_with ladspa
%def_with lame
%def_with png
%def_with libdvdnav
%def_with libdvdread
%def_with mad
%def_with mikmod
%def_with mpeg
%def_with mpeg2dec
%def_without openquicktime
%def_with oss
%def_with qcam
%def_with raw1394
%def_without rtp
%def_with sdl
%def_without sid
%def_with swfdec
%def_without tarkin
%def_with udp
%def_with v4l
%def_with v4l2
%def_with vcd
%def_with videosink
%def_with visualisation
%def_with vorbis
%def_with xmms
%def_with xvideosink
%def_with yuv4mjpeg

%define a52dec_ver 0.7.4
%define aalib_ver 1.4
%define alsa2_ver 0.9.6
%define audiofile_ver 0.2.3-alt4
%define avifile_ver 0.737
%define cdparanoia_ver IIIa9.8
%define esound_ver 0.2.31
%define fame_ver 0.9.0
%define festival_ver 1.4.1
%define ffmpeg_ver 0.4.6-alt0.4cvs20030304
%define flac_ver 1.0.4
%define glib_ver 2.2.3
%define gnomevfs_ver 2.1.3
%define hermes_ver 1.3.2
%define jack_ver 0.80.0
%define lame_ver 3.93.1
%define libSDL_ver 1.2.5
%define libdv_ver 0.99
%define libdvdnav_ver 0.1.9
%define libdvdread_ver 0.9.3
%define libgsm_ver 1.0.10
%define libmad_ver 0.15.0b
%define libpng_ver 1.2.4
%define librtp_ver 0.99
%define libraw1394_ver 0.9.0
%define libshout_ver 1.0.5
%define mjpegtools_ver 1.6.1.90
%define mpeg2dec_ver 0.3.1-alt1.5cvs20030408
%define nasm_ver 0.98
%define ogg_ver 1.0
%define openquicktime_ver 0.9
%define sidplay_ver 1.36.0
%define speech_tools_ver 1.2.1
%define swfdec_ver 0.2.0
%define vorbis_ver 1.0

BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: nasm >= %nasm_ver

# Automatically added by buildreq on Thu Aug 28 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs aalib-devel esound-devel fontconfig-devel freetype freetype2-devel gcc-c++ glib2-devel glibc-devel-static gnome-vfs2-devel gstreamer-devel imlib2-devel jackit-devel ladspa_sdk libGConf2-devel libORBit2 libSDL-devel liba52-devel libalsa-devel libart_lgpl-devel libarts-devel libatk-devel libaudiofile-devel libavifile-devel libbonobo2-devel libcdparanoia-devel libdv-devel libdvdnav-devel libdvdread-devel libexpat-devel libfame-devel libflac-devel libgpm-devel libgsm-devel libgtk+2-devel libhermes-devel libid3tag-devel libjpeg-devel liblame-devel libmad-devel libmikmod-devel libmpeg2-devel libogg-devel libpango-devel libpng-devel libpopt-devel libraw1394-devel libshout-devel libslang-devel libstdc++-devel libswfdec-devel libvorbis-devel libxml2-devel mjpegtools-devel mjpegtools-static-libs nasm pkgconfig zlib-devel

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plugins.

%package ALL
Summary: Full set of GStreamer plugins
Group: System/Libraries
%if_with a52dec
Requires: %_name-a52dec = %version-%release
%endif
%if_with aalib
Requires: %_name-aalib = %version-%release
%endif
%if_with alsa
Requires: %_name-alsa = %version-%release
%endif
%if_with artsd
Requires: %_name-artsd = %version-%release
%endif
%if_with audio_effects
Requires: %_name-audio-effects = %version-%release
%endif
%if_with audio_formats
Requires: %_name-audio-formats = %version-%release
%endif
%if_with audiofile
Requires: %_name-audiofile = %version-%release
%endif
%if_with avi
Requires: %_name-avi = %version-%release
%endif
%if_with cdparanoia
Requires: %_name-cdparanoia = %version-%release
%endif
Requires: %_name-cdplayer = %version-%release
%if_with colorspace
Requires: %_name-colorspace = %version-%release
%endif
%if_with dv
Requires: %_name-dv = %version-%release
%endif
%if_with dxr3
Requires: %_name-dxr3 = %version-%release
%endif
%if_with esd
Requires: %_name-esd = %version-%release
%endif
%if_with fame
Requires: %_name-fame = %version-%release
%endif
%if_with festival
Requires: %_name-festival = %version-%release
%endif
%if_with ffmpeg
Requires: %_name-ffmpeg = %version-%release
%endif
%if_with flac
Requires: %_name-flac = %version-%release
%endif
%if_with flx
Requires: %_name-flx = %version-%release
%endif
%if_with gnome_vfs
Requires: %_name-gnomevfs = %version-%release
%endif
%if_with gsm
Requires: %_name-gsm = %version-%release
%endif
%if_with http
Requires: %_name-http = %version-%release
%endif
%if_with icecast
Requires: %_name-icecast = %version-%release
%endif
%if_with jack
Requires: %_name-jack = %version-%release
%endif
%if_with jpeg
Requires: %_name-jpeg = %version-%release
%endif
%if_with jpegmmx
Requires: %_name-jpegmmx = %version-%release
%endif
%if_with ladspa
Requires: %_name-ladspa = %version-%release
%endif
%if_with lame
Requires: %_name-lame = %version-%release
%endif
%if_with yuv4mjpeg
Requires: %_name-yuv4mjpeg = %version-%release
%endif
%if_with libdvdnav
Requires: %_name-libdvdnav = %version-%release
%endif
%if_with libdvdread
Requires: %_name-libdvdread = %version-%release
%endif
%if_with raw1394
Requires: %_name-libraw1394 = %version-%release
%endif
%if_with mad
Requires: %_name-mad = %version-%release
%endif
%if_with mikmod
Requires: %_name-mikmod = %version-%release
%endif
%if_with mpeg
Requires: %_name-mpeg = %version-%release
%endif
%if_with mpeg2dec
Requires: %_name-mpeg2dec = %version-%release
%endif
%if_with openquicktime
Requires: %_name-openquicktime = %version-%release
%endif
%if_with oss
Requires: %_name-oss = %version-%release
%endif
%if_with png
Requires: %_name-png = %version-%release
%endif
%if_with qcam
Requires: %_name-qcam = %version-%release
%endif
%if_with rtp
Requires: %_name-rtp = %version-%release
%endif
%if_with sdl
Requires: %_name-sdl = %version-%release
%endif
%if_with sid
Requires: %_name-sid = %version-%release
%endif
Requires: %_name-snapshot = %version-%release
%if_with swfdec
Requires: %_name-swfdec = %version-%release
%endif
%if_with udp
Requires: %_name-udp = %version-%release
%endif
%if_with v4l
Requires: %_name-v4l = %version-%release
%endif
%if_with v4l2
Requires: %_name-v4l2 = %version-%release
%endif
%if_with vcd
Requires: %_name-vcd = %version-%release
%endif
Requires: %_name-video-effects = %version-%release
%if_with videosink
Requires: %_name-videosink = %version-%release
%endif
Requires: %_name-videotest = %version-%release
%if_with visualisation
Requires: %_name-visualisation = %version-%release
%endif
%if_with vorbis
Requires: %_name-vorbis = %version-%release
%endif
%if_with xvideosink
Requires: %_name-xvideosink = %version-%release
%endif

%description ALL
This package installs full set of GStreamer plugins.

%package devel
Summary: GStreamer plugins develompment files
Group: Development/C
Obsoletes: %_name-plugin-libs-devel
Provides: %_name-plugin-libs-devel = %version-%release
Requires: %name = %version-%release
Requires: %_name-devel >= %version

%description -n gstreamer-plugins-devel
GStreamer development libraries and header files.

%if_with a52dec
%package -n %_name-a52dec
Summary: GStreamer VOB decoder plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: liba52 >= %a52dec_ver
BuildRequires: liba52-devel >= %a52dec_ver

%description -n %_name-a52dec
Plugin for decoding of VOB files
%endif

%if_with aalib
%package -n %_name-aalib
Summary: Gstreamer plugin for Ascii-art output
Group: System/Libraries
Requires: aalib >= %aalib_ver
Requires: %_name-plugins = %version-%release
BuildRequires: aalib-devel >= %aalib_ver

%description -n %_name-aalib
Plugin for viewing movies in Ascii-art using aalib library.
%endif

%if_with alsa
%package -n %_name-alsa
Summary: GStreamer plugins for the ALSA sound architecture
Group: System/Libraries
Provides: gstreamer-hw-audio-sink = %version-%release
Requires: %_name-plugins = %version-%release

%description -n %_name-alsa
Input and output plugin for the ALSA soundcard driver architecture.
%endif

%if_with artsd
%package -n %_name-artsd
Summary: GStreamer artsd output plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-artsd
Plugin for outputing to artsd sound server
%endif

%if_with audio_effects
%package -n %_name-audio-effects
Summary: GStreamer audio effects plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-audio-effects
Plugin with various audio effects including resampling,
sine waves generation, silence generation plugin
%endif

%if_with audio_formats
%package -n %_name-audio-formats
Summary: GStreamer audio format plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-audio-formats
Plugin for playback of wav, au and mp3 audio files
%endif

%if_with audiofile
%package -n %_name-audiofile
Summary: GStreamer plugin audiofile support
Group: System/Libraries
Requires: libaudiofile >= %audiofile_ver
Requires: %_name-plugins = %version-%release
BuildRequires: libaudiofile-devel >= %audiofile_ver

%description -n %_name-audiofile
Plugin for supporting reading and writing all files audiofile support
%endif

%if_with avi
%package -n %_name-avi
Summary: Gstreamer plugin for AVI format movie playback
Group: System/Libraries
Requires: libavifile >= %avifile_ver
Requires: %_name-plugins = %version-%release
Requires: %_name-colorspace = %version-%release
BuildRequires: libavifile-devel >= %avifile_ver

%description -n %_name-avi
Plugins for playback of AVI format media files.
%endif

%if_with cdparanoia
%package -n %_name-cdparanoia
Summary: Gstreamer plugin for CD audio input using CDParanoia IV
Group: System/Libraries
Requires: cdparanoia >= %cdparanoia_ver
Requires: %_name-plugins = %version-%release
BuildRequires: libcdparanoia-devel >= %cdparanoia_ver

%description -n %_name-cdparanoia
Plugin for ripping audio tracks using cdparanoia under GStreamer
%endif

%if_with colorspace
%package -n %_name-colorspace
Summary: Gstreamer colorspace conversion plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: libhermes >= %hermes_ver
BuildRequires: libhermes-devel >= %hermes_ver

%description -n %_name-colorspace
Colorspace plugin based on Hermes library
%endif

%package -n %_name-cdplayer
Summary: GStreamer plugin playing audio cds	
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-cdplayer
Lets you get sound from audio cd's using GStreamer.

%if_with dv
%package -n %_name-dv
Summary: GStreamer dv plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: libdv >= %libdv_ver
Requires: libdv-devel >= %libdv_ver

%description -n %_name-dv
Plugin for digital video support
%endif

%if_with dxr3
%package -n %_name-dxr3
Summary: GStreamer DXR3 hardware mpeg video decoder plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-dxr3
Plugin for DXR3 hardware mpeg video decoder support
%endif

%if_with esd
%package -n %_name-esd
Summary: Gstreamer plugin for ESD sound output
Group: System/Libraries
Requires: esound >= %esound_ver
Requires: %_name-plugins = %version-%release
BuildRequires: esound-devel >= %esound_ver

%description -n %_name-esd
Output plugin for GStreamer for use with the esound package
%endif

%if_with fame
%package -n %_name-fame
Summary: Gstreamer plugin for MPEG encoding using libfame
Group: System/Libraries
Requires: libfame >= %fame_ver
Requires: %_name-plugins = %version-%release
BuildRequires: libfame-devel >= %fame_ver

%description -n %_name-fame
Gstreamer plugin for fast MPEG encoding using libfame.
%endif

%if_with festival
%package -n %_name-festival
Summary: GStreamer plugin for text-to-speech support using Festival
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: festival >= %festival_ver
BuildRequires: festival-devel >= %festival_ver
BuildRequires: speech_tools-devel >= %speech_tools_ver

%description -n %_name-festival
Element for text-to-speech using the festival server.
%endif

%if_with ffmpeg
%package -n %_name-ffmpeg
Summary: Gstreamer plugin for FFMPEG audio/video encoder
Group: System/Libraries
Requires: %_name-plugins = %version-%release
# CVS source of ffmpeg included in package
#Requires: libffmpeg >= %ffmpeg_ver
#BuildRequires: libffmpeg-devel >= %ffmpeg_ver

%description -n %_name-ffmpeg
Plugin for FFMPEG - the hyper fast realtime audio/video encoder.
%endif

%if_with flac
%package -n %_name-flac
Summary: Gstreamer plugin for FLAC lossless audio format
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: libflac >= %flac_ver
BuildRequires: libflac-devel >= %flac_ver

%description -n %_name-flac
Plugin for the free FLAC lossless audio format.
%endif

%if_with flx
%package -n %_name-flx
Summary: GStreamer plugin for FLI/FLX animation format
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: %_name-colorspace >= %version-%release

%description -n %_name-flx
Plugin for playing FLI/FLX animations under GStreamer
%endif

%if_with gnome_vfs
%package -n %_name-gnomevfs
Summary: GStreamer plugins for GNOME VFS input and output
Group: System/Libraries
Requires: gnome-vfs2 >= %gnomevfs_ver
Requires: %_name-plugins = %version-%release
BuildRequires: gnome-vfs2-devel >= %gnomevfs_ver

%description -n %_name-gnomevfs
Plugins for reading and writing through GNOME VFS.
%endif

%if_with gsm
%package -n %_name-gsm
Summary: GStreamer plugin for GSM lossy audio format
Group: System/Libraries
Requires: libgsm >= %libgsm_ver
Requires: %_name-plugins = %version-%release
BuildRequires: libgsm-devel >= %libgsm_ver

%description -n %_name-gsm
Output plugin for GStreamer to convert to GSM lossy audio format.
%endif

%if_with http
%package -n %_name-http
Summary: Gstreamer http plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-http
Plugin for making HTTP 1.1 requests
%endif

%if_with icecast
%package -n %_name-icecast
Summary: GStreamer Icecast broadcasting plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: libshout >= %libshout_ver
BuildRequires: libshout-devel >= %libshout_ver

%description -n %_name-icecast
Plugin for broadcasting audio with the Icecast server
%endif

%if_with jack
%package -n %_name-jack
Summary: GStreamer plugin for JACK audio connection kit
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: libjack >= %jack_ver
BuildRequires: jackit-devel >= %jack_ver

%description -n %_name-jack
Plugin for interact with JACK low-latency audio server
%endif

%if_with jpeg
%package -n %_name-jpeg
Summary: Gstreamer plugin for jpeg images
Group: System/Libraries
Requires: libjpeg
Requires: %_name-plugins = %version-%release
BuildRequires: libjpeg-devel

%description -n %_name-jpeg
Output plugin for GStreamer using libjpeg
%endif

%if_with jpegmmx
%package -n %_name-jpegmmx
Summary: Gstreamer mjpegtools
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: mjpegtools >= %mjpegtools_ver
BuildRequires: mjpegtools-devel >= %mjpegtools_ver

%description -n %_name-jpegmmx
Mgpegtools based encoding and decoding plugin
%endif

%if_with ladspa
%package -n %_name-ladspa
Summary: Gstreamer wrapper for LADSPA plugins
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-ladspa
Plugin which wraps LADSPA plugins for use by GStreamer applications.
%endif

%if_with lame
%package -n %_name-lame
Summary: GStreamer plugin encoding mp3 songs
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: lame >= %lame_ver

%description -n %_name-lame
Plugin for encoding mp3 with lame
%endif

%if_with png
%package -n %_name-png
Summary: Gstreamer plugin for PNG images
Group: System/Libraries
Requires: libpng3 >= %libpng_ver
Requires: %_name-plugins = %version-%release
BuildRequires: libpng-devel

%description -n %_name-png
Output plugin for GStreamer using libpng
%endif

%if_with yuv4mjpeg
%package -n %_name-yuv4mjpeg
Summary: GStreamer YUV to LAV converter
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Obsoletes: %_name-lavencode
Provides: %_name-lavencode = %version-%release

%description -n %_name-yuv4mjpeg
It takes YUV video frames and adds a header in front of it so it can be
processed with the lavtools from mjpeg
%endif

%package -n %_name-libdvdnav
Summary: GStreamer plugin for DVD navigation support
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: libdvdnav >= %libdvdnav_ver
BuildPreReq: libdvdnav-devel >= %libdvdnav_ver

%description -n %_name-libdvdnav
Plugin for reading DVDs using libdvdnav under GStreamer.

%if_with libdvdread
%package -n %_name-libdvdread
Summary: GStreamer plugins for DVD playback using libdvdread
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: libdvdread >= %libdvdread_ver
BuildRequires: libdvdread-devel >= %libdvdread_ver

%description -n %_name-libdvdread
Plugin for reading DVDs using libdvdread under GStreamer.
%endif

%if_with raw1394
%package -n %_name-libraw1394
Summary: Gstreamer plugin for access firewire devices using libraw1394
Group: System/Libraries
Requires: libraw1394 >= %libraw1394_ver
Requires: %_name-plugins = %version-%release
BuildRequires: libraw1394-devel >= %libraw1394_ver

%description -n %_name-libraw1394
Gstreamer plugin for direct access to the connected 1394 buses using libraw1394
%endif

%if_with mad
%package -n %_name-mad
Summary: Plugin using MAD for mp3 decoding
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: libmad >= %libmad_ver
BuildRequires: libmad-devel >= %libmad_ver

%description -n %_name-mad
Plugin for playback of mp3 songs using the very good MAD library
%endif

%if_with mikmod
%package -n %_name-mikmod
Summary: GStreamer Mikmod plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-mikmod
Plugin for playback of module files supported by mikmod under GStreamer
%endif

%if_with mpeg
%package -n %_name-mpeg
Summary: GStreamer plugins for MPEG video playback and encoding
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-mpeg
Plugins for playing and encoding MPEG video
%endif

%if_with mpeg2dec
%package -n %_name-mpeg2dec
Summary: GStreamer plugins for MPEG level 2 playback
Group: System/Libraries
Requires: libmpeg2 >= %mpeg2dec_ver
Requires: %_name-plugins = %version-%release
BuildRequires: libmpeg2-devel >= %mpeg2dec_ver

%description -n %_name-mpeg2dec
Plugins for playing MPEG level 2 encoded movies
%endif

%if_with openquicktime
%package -n %_name-openquicktime
Summary: GStreamer OpenQuicktime video Plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: openquicktime >= %openquicktime_ver

%description -n %_name-openquicktime
Plugin which uses the OpenQuicktime library
from 3ivx to play Quicktime movies.
(http://openquicktime.sourceforge.net/)
%endif

%if_with oss
%package -n %_name-oss
Summary: Gstreamer plugins for input and output using OSS
Group: System/Libraries
Provides: gstreamer-hw-audio-sink = %version-%release
Requires: %_name-plugins = %version-%release

%description -n %_name-oss
Plugins for output and input to the OpenSoundSytem audio
drivers found in the Linux kernels or commercially available
from OpenSound.
%endif

%if_with qcam
%package -n %_name-qcam
Summary: GStreamer QuickCam plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-qcam
Plugin for accessing a Quickcam source
%endif

%if_with rtp
%package -n %_name-rtp
Summary: GStreamer RTP plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: librtp >= %librtp_ver
BuildRequires: librtp-devel >= %librtp_ver

%description -n %_name-rtp
Library for transfering data with the RTP protocol
%endif

%if_with sdl
%package -n %_name-sdl
Summary: Gstreamer plugin for outputing to SDL
Group: System/Libraries
Requires: libSDL >= %libSDL_ver
Requires: %_name-plugins = %version-%release
BuildRequires: libSDL-devel >= %libSDL_ver

%description -n %_name-sdl
Plugin for sending output to the Simple Direct Media architecture.
(http://www.libsdl.org). Usefull for fullscreen playback.
%endif

%if_with sid
%package -n %_name-sid
Summary: GStreamer Sid C64 music plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: libsidplay >= %sidplay_ver
BuildRequires: libsidplay-devel >= %sidplay_ver

%description -n %_name-sid
Plugin for playback of C64 SID format music files
%endif

%package -n %_name-snapshot
Summary: GStreamer plug-in for grabbing images from videostreams
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: %_name-colorspace = %version-%release

%description -n %_name-snapshot
This plugin grabs images from videostreams and saves them as PNG format
images.

%if_with swfdec
%package -n %_name-swfdec
Summary: GStreamer Flash redering plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: libswfdec >= %swfdec_ver
BuildRequires: libswfdec-devel >= %swfdec_ver

%description -n %_name-swfdec
Plugin for rendering Flash animations using swfdec library
%endif

%if_with udp
%package -n %_name-udp
Summary: GStreamer plugins for UDP transport
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-udp
Plugins for UDP transport
%endif

%if_with v4l
%package -n %_name-v4l
Summary: GStreamer video for linux input plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-v4l
Plugin for accessing video for Linux streams.
%endif

%if_with v4l2
%package -n %_name-v4l2
Summary: GStreamer video for linux version 2 input plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-v4l2
Plugin for accessing video for Linux streams (version 2 API).
%endif

%if_with vcd
%package -n %_name-vcd
Summary: GStreamer Video CD plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-vcd
Video CD parsing and playback
%endif

%package -n %_name-video-effects
Summary: GStreamer video effects plugins
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Obsoletes: %_name-deinterlace
Provides: %_name-deinterlace = %version-%release
Provides: %_name-misc
Obsoletes: %_name-misc = %version-%release

%description -n gstreamer-video-effects
Plugin with various video effects including deinterlacing and effecTV
plugins.

%if_with videosink
%package -n %_name-videosink
Summary: GStreamer Video Sink
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-videosink
Plugin for X playback
%endif

%package -n %_name-videotest
Summary: GStreamer plugin for generating a video test streamer
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-videotest
This plugin provides a videotest plugin. This plugin can be used to
generate a videostream for testing other plugins.

%if_with visualisation
%package -n %_name-visualisation
Summary: GStreamer visualisations plugins
Group: System/Libraries
Requires: %_name-plugins = %version-%release

%description -n %_name-visualisation
Various plugins for visual effects to use with audio. Included are
Smoothwave, Spectrum, Goom, Chart and vumeter
%endif

%if_with vorbis
%package -n %_name-vorbis
Summary: Gstreamer plugin for encoding and decoding Ogg Vorbis audio files
Group: System/Libraries
Requires: libogg >= %ogg_ver libvorbis >= %vorbis_ver
Requires: %_name-plugins = %version-%release
BuildRequires: libogg-devel >= %ogg_ver
BuildRequires: libvorbis-devel >= %vorbis_ver

%description -n %_name-vorbis
Plugins for creating and playing Ogg Vorbis audio files.
%endif

%if_with xvideosink
%package -n %_name-xvideosink
Summary: Gstreamer XFree output plugin
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: libhermes >= %hermes_ver

%description -n %_name-xvideosink
Xfree86 video sink
%endif

%define gstreamer_cachedir %_var/lib/%_name-%ver_major
%define _gst_libdir %_libdir/%_name-%ver_major
%add_findprov_lib_path %_gst_libdir

%prep
%setup -n gst-plugins-%version
%patch -p1

%build
%set_libtool_version 1.4

pushd gst-libs/ext/ffmpeg/ffmpeg
%configure \
%ifnarch i586 i686 athlon
    --disable-mmx \
%endif
    --enable-mp3lame \
    --enable-vorbis \
    --enable-a52bin
popd

#%%__autoconf
%configure --enable-DEBUG \
%if_without a52dec
    --disable-a52dec \
%endif
%if_without aalib
    --disable-aalib \
%endif
%if_without alsa
    --disable-alsa \
%endif
%if_without artsd
    --disable-arts \
    --disable-artsc \
%endif
%if_without audiofile
    --disable-audiofile \
%endif
%if_without avi
    --disable-avifile \
%endif
%if_without cdparanoia
    --disable-cdparanoia \
%endif
%if_without dv
    --disable-dv \
%endif
%if_without libdvdnav
    --disable-dvdnav \
%endif
%if_without libdvdread
    --disable-dvdread \
%endif
%if_without esd
    --disable-esd \
%endif
%if_without fame
    --disable-libfame \
%endif
%if_without festival
    --disable-festival \
%endif
%if_without ffmpeg
    --disable-ffmpeg \
%endif
%if_without flac
    --disable-flac \
%endif
%if_without gnome_vfs
    --disable-gnome_vfs \
%endif
%if_without gsm
    --disable-gsm \
%endif
%if_without colorspace
    --disable-hermes \
%endif
%if_without jack
    --disable-jack \
%endif
%if_without jpeg
    --disable-jpeg \
%endif
%if_without lame
    --disable-lame \
%endif
%if_without png
    --disable-libpng \
%endif
%if_without colorspace
    --disable-lcs \
%endif
%if_without mad
    --disable-mad \
%endif
%if_without mikmod
    --disable-mikmod \
%endif
%if_without jpegmmx
    --disable-mjpegtools \
%endif
%if_without mpeg2dec
    --disable-mpeg2dec \
%endif
%if_without openquicktime
    --disable-openquicktime \
%endif
%if_without oss
    --disable-oss \
%endif
%if_without qcam
    --disable-qcam \
%endif
%if_without rtp
    --disable-rtp \
%endif
%if_without sdl
    --disable-sdl \
%endif
%if_without icecast
    --disable-shout \
%endif
%if_without sid
    --disable-sidplay \
%endif
%if_without swfdec
    --disable-swfdec \
%endif
%if_without tarkin
    --disable-tarkin \
%endif
%if_without v4l
    --disable-v4l \
%endif
%if_without v4l2
    --disable-v4l2 \
%endif
%if_without vcd
    --disable-vcd \
%endif
%if_without videosink
    --disable-vga \
%endif
%if_without vorbis
    --disable-vorbis \
%endif
%if_without xmms
    --disable-xmms \
%endif
%if_without xvideosink
    --disable-xvideo \
%endif
%if_without dxr3
    --disable-dxr3 \
%endif
%if_without http
    --disable-http \
%endif
%if_without raw1394
    --disable-raw1394 \
%endif
    --program-prefix=""

# SMP-incompatible build
%make DVDNAV_CFLAGS=`%_bindir/dvdnav-config --cflags`

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%post
%gconf2_install %_name

%if_with a52dec
%post -n %_name-a52dec
%gst_register
%gst_compprep
%endif

%if_with aalib
%post -n %_name-aalib
%gst_register
%gst_compprep
%endif

%if_with alsa
%post -n %_name-alsa
%gst_register
%gst_compprep
%endif

%if_with artsd
%post -n %_name-artsd
%gst_register
%gst_compprep
%endif

%if_with audio_effects
%post -n %_name-audio-effects
%gst_register
%gst_compprep
%endif

%if_with audio_formats
%post -n %_name-audio-formats
%gst_register
%gst_compprep
%endif

%if_with audiofile
%post -n  %_name-audiofile
%gst_register
%gst_compprep
%endif

%if_with avi
%post -n %_name-avi
%gst_register
%gst_compprep
%endif

%if_with cdparanoia
%post -n %_name-cdparanoia
%gst_register
%gst_compprep
%endif

%post -n %_name-cdplayer
%gst_register
%gst_compprep

%if_with colorspace
%post -n %_name-colorspace
%gst_register
%gst_compprep
%endif

%if_with dv
%post -n %_name-dv
%gst_register
%gst_compprep
%endif

%if_with dxr3
%post -n %_name-dxr3
%gst_register
%gst_compprep
%endif

%if_with esd
%post -n %_name-esd
%gst_register
%gst_compprep
%endif

%if_with fame
%post -n %_name-fame
%gst_register
%gst_compprep
%endif

%if_with festival
%post -n %_name-festival
%gst_register
%gst_compprep
%endif

%if_with ffmpeg
%post -n %_name-ffmpeg
%gst_register
%gst_compprep
%endif

%if_with flac
%post -n %_name-flac
%gst_register
%gst_compprep
%endif

%if_with flx
%post -n %_name-flx
%gst_register
%gst_compprep
%endif

%if_with gnome_vfs
%post -n %_name-gnomevfs
%gst_register
%gst_compprep
%endif

%if_with gsm
%post -n %_name-gsm
%gst_register
%gst_compprep
%endif

%if_with http
%post -n %_name-http
%gst_register
%gst_compprep
%endif

%if_with icecast
%post -n %_name-icecast
%gst_register
%gst_compprep
%endif

%if_with jack
%post -n %_name-jack
%gst_register
%gst_compprep
%endif

%if_with jpeg
%post -n %_name-jpeg
%gst_register
%gst_compprep
%endif

%if_with jpegmmx
%post -n %_name-jpegmmx
%gst_register
%gst_compprep
%endif

%if_with ladspa
%post -n %_name-ladspa
%gst_register
%gst_compprep
%endif

%if_with lame
%post -n %_name-lame
%gst_register
%gst_compprep
%endif

%if_with yuv4mjpeg
%post -n %_name-yuv4mjpeg
%gst_register
%gst_compprep
%endif

%if_with libdvdnav
%post -n %_name-libdvdnav
%gst_register
%gst_compprep
%endif

%if_with libdvdread
%post -n %_name-libdvdread
%gst_register
%gst_compprep
%endif

%if_with raw1394
%post -n %_name-libraw1394
%gst_register
%gst_compprep
%endif

%if_with mad
%post -n %_name-mad
%gst_register
%gst_compprep
%endif

%if_with mikmod
%post -n %_name-mikmod
%gst_register
%gst_compprep
%endif

%if_with mpeg
%post -n  %_name-mpeg
%gst_register
%gst_compprep
%endif

%if_with mpeg2dec
%post -n  %_name-mpeg2dec
%gst_register
%gst_compprep
%endif

%if_with openquicktime
%post -n %_name-openquicktime
%gst_register
%gst_compprep
%endif

%if_with oss
%post -n %_name-oss
%gst_register
%gst_compprep
%endif

%if_with png
%post -n %_name-png
%gst_register
%gst_compprep
%endif

%if_with qcam
%post -n %_name-qcam
%gst_register
%gst_compprep
%endif

%if_with rtp
%post -n %_name-rtp
%gst_register
%gst_compprep
%endif

%if_with sdl
%post -n %_name-sdl
%gst_register
%gst_compprep
%endif

%if_with sid
%post -n %_name-sid
%gst_register
%gst_compprep
%endif

%post -n %_name-snapshot
%gst_register
%gst_compprep

%if_with swfdec
%post -n %_name-swfdec
%gst_register
%gst_compprep
%endif

%if_with udp
%post -n %_name-udp
%gst_register
%gst_compprep
%endif

%if_with v4l
%post -n %_name-v4l
%gst_register
%gst_compprep
%endif

%if_with v4l2
%post -n %_name-v4l2
%gst_register
%gst_compprep
%endif


%if_with vcd
%post -n %_name-vcd
%gst_register
%gst_compprep
%endif

%post -n %_name-video-effects
%gst_register
%gst_compprep

%if_with videosink
%post -n %_name-videosink
%gst_register
%gst_compprep
%endif

%post -n %_name-videotest
%gst_register
%gst_compprep

%if_with visualisation
%post -n %_name-visualisation
%gst_register
%gst_compprep
%endif

%if_with vorbis
%post -n %_name-vorbis
%gst_register
%gst_compprep
%endif

%if_with xvideosink
%post -n %_name-xvideosink
%gst_register
%gst_compprep
%endif

%if_with a52dec
%postun -n %_name-a52dec
%gst_register
%gst_compprep
%endif

%if_with aalib
%postun -n %_name-aalib
%gst_register
%gst_compprep
%endif

%if_with alsa
%postun -n %_name-alsa
%gst_register
%gst_compprep
%endif

%if_with artsd
%postun -n %_name-artsd
%gst_register
%gst_compprep
%endif

%if_with audio_effects
%postun -n %_name-audio-effects
%gst_register
%gst_compprep
%endif

%if_with audio_formats
%postun -n %_name-audio-formats
%gst_register
%gst_compprep
%endif

%if_with audiofile
%postun -n  %_name-audiofile
%gst_register
%gst_compprep
%endif

%if_with avi
%postun -n %_name-avi
%gst_register
%gst_compprep
%endif

%if_with cdparanoia
%postun -n %_name-cdparanoia
%gst_register
%gst_compprep
%endif

%postun -n %_name-cdplayer
%gst_register
%gst_compprep

%if_with colorspace
%postun -n %_name-colorspace
%gst_register
%gst_compprep
%endif

%if_with dv
%postun -n %_name-dv
%gst_register
%gst_compprep
%endif

%if_with dxr3
%postun -n %_name-dxr3
%gst_register
%gst_compprep
%endif

%if_with esd
%postun -n %_name-esd
%gst_register
%gst_compprep
%endif

%if_with fame
%postun -n %_name-fame
%gst_register
%gst_compprep
%endif

%if_with festival
%postun -n %_name-festival
%gst_register
%gst_compprep
%endif

%if_with ffmpeg
%postun -n %_name-ffmpeg
%gst_register
%gst_compprep
%endif

%if_with flac
%postun -n %_name-flac
%gst_register
%gst_compprep
%endif

%if_with flx
%postun -n %_name-flx
%gst_register
%gst_compprep
%endif

%if_with gnome_vfs
%postun -n %_name-gnomevfs
%gst_register
%gst_compprep
%endif

%if_with gsm
%postun -n %_name-gsm
%gst_register
%gst_compprep
%endif

%if_with http
%postun -n %_name-http
%gst_register
%gst_compprep
%endif

%if_with icecast
%postun -n %_name-icecast
%gst_register
%gst_compprep
%endif

%if_with jack
%postun -n %_name-jack
%gst_register
%gst_compprep
%endif

%if_with jpeg
%postun -n %_name-jpeg
%gst_register
%gst_compprep
%endif

%if_with jpegmmx
%postun -n %_name-jpegmmx
%gst_register
%gst_compprep
%endif

%if_with ladspa
%postun -n %_name-ladspa
%gst_register
%gst_compprep
%endif

%if_with lame
%postun -n %_name-lame
%gst_register
%gst_compprep
%endif

%if_with yuv4mjpeg
%postun -n %_name-yuv4mjpeg
%gst_register
%gst_compprep
%endif

%if_with libdvdnav
%postun -n %_name-libdvdnav
%gst_register
%gst_compprep
%endif

%if_with libdvdread
%postun -n %_name-libdvdread
%gst_register
%gst_compprep
%endif

%if_with raw1394
%postun -n %_name-libraw1394
%gst_register
%gst_compprep
%endif

%if_with mad
%postun -n %_name-mad
%gst_register
%gst_compprep
%endif

%if_with mikmod
%postun -n %_name-mikmod
%gst_register
%gst_compprep
%endif

%if_with mpeg
%postun -n  %_name-mpeg
%gst_register
%gst_compprep
%endif

%if_with mpeg2dec
%postun -n  %_name-mpeg2dec
%gst_register
%gst_compprep
%endif

%if_with openquicktime
%postun -n %_name-openquicktime
%gst_register
%gst_compprep
%endif

%if_with oss
%postun -n %_name-oss
%gst_register
%gst_compprep
%endif

%if_with qcam
%postun -n %_name-qcam
%gst_register
%gst_compprep
%endif

%if_with png
%postun -n %_name-png
%gst_register
%gst_compprep
%endif

%if_with rtp
%postun -n %_name-rtp
%gst_register
%gst_compprep
%endif

%if_with sdl
%postun -n %_name-sdl
%gst_register
%gst_compprep
%endif

%if_with sid
%postun -n %_name-sid
%gst_register
%gst_compprep
%endif

%postun -n %_name-snapshot
%gst_register
%gst_compprep

%if_with swfdec
%postun -n %_name-swfdec
%gst_register
%gst_compprep
%endif

%if_with udp
%postun -n %_name-udp
%gst_register
%gst_compprep
%endif

%if_with v4l
%postun -n %_name-v4l
%gst_register
%gst_compprep
%endif

%if_with v4l2
%postun -n %_name-v4l2
%gst_register
%gst_compprep
%endif

%if_with vcd
%postun -n %_name-vcd
%gst_register
%gst_compprep
%endif

%postun -n %_name-video-effects
%gst_register
%gst_compprep

%if_with videosink
%postun -n %_name-videosink
%gst_register
%gst_compprep
%endif

%postun -n %_name-videotest
%gst_register
%gst_compprep

%if_with visualisation
%postun -n %_name-visualisation
%gst_register
%gst_compprep
%endif

%if_with vorbis
%postun -n %_name-vorbis
%gst_register
%gst_compprep
%endif

%if_with xvideosink
%postun -n %_name-xvideosink
%gst_register
%gst_compprep
%endif

%files
%_bindir/*
%_libdir/*.so.*
%_gst_libdir/*audioscale.so
%_gst_libdir/*gstaudio.so
%_gst_libdir/*idct.so
%_gst_libdir/*resample.so
%_gst_libdir/*riff.so
%_gst_libdir/*tvideo.so
%_gst_libdir/*qtdemux.so
%_gst_libdir/*toneton.so
%_gst_libdir/*vbidec.so
%_man1dir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS README RELEASE

%files ALL

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la
#%_datadir/aclocal/*
%_libdir/pkgconfig/*

%if_with a52dec
%files -n %_name-a52dec
%_gst_libdir/*a52dec*.so
%endif

%if_with aalib
%files -n %_name-aalib
%_gst_libdir/*aa*.so
%endif

%if_with alsa
%files -n %_name-alsa
%_gst_libdir/*alsa*.so
#%_man1dir/gstalsa*
%endif

%if_with artsd
%files -n %_name-artsd
%_gst_libdir/*arts*.so
%endif

%if_with audio_effects
%files -n %_name-audio-effects
%_gst_libdir/*adder.so
%_gst_libdir/*alaw.so
%_gst_libdir/*cutter.so
%_gst_libdir/*filter.so
%_gst_libdir/*intfloat.so
%_gst_libdir/*level.so
%_gst_libdir/libmixmatrix.so
%_gst_libdir/*mono2stereo.so
%_gst_libdir/*mulaw.so
%_gst_libdir/*passthrough.so
%_gst_libdir/*playondemand.so
%_gst_libdir/*resample*.so
%_gst_libdir/*silence*.so
%_gst_libdir/*sinesrc*.so
%_gst_libdir/*speed.so
%_gst_libdir/libgststereo.so
%_gst_libdir/*stereo2mono.so
%_gst_libdir/*stereosplit.so
%_gst_libdir/*volenv.so
%_gst_libdir/*volume.so
%endif

%if_with audio_formats
%files -n %_name-audio-formats
%_gst_libdir/*wavparse*.so
%_gst_libdir/*wavenc*.so
%_gst_libdir/*auparse*.so
%_gst_libdir/*ac3parse*.so
%_gst_libdir/*mp3types*.so
%_gst_libdir/*modplug*.so
%endif

%if_with audiofile
%files -n %_name-audiofile
%_gst_libdir/*audiofile*.so
%endif

%if_with avi
%files -n %_name-avi
%_gst_libdir/*avi*.so
%_gst_libdir/*wincodec*.so
%endif

%if_with cdparanoia
%files -n %_name-cdparanoia
%_gst_libdir/*cdparanoia*.so
%endif

%files -n %_name-cdplayer
%_gst_libdir/*cdplayer.so

%if_with colorspace
%files -n %_name-colorspace
%_gst_libdir/*colorspace*.so
%endif

%if_with dv
%files -n %_name-dv
%_gst_libdir/*dvdec*.so
%endif

%if_with dxr3
%files -n %_name-dxr3
%_gst_libdir/*dxr3*.so
%endif

%if_with esd
%files -n %_name-esd
%_gst_libdir/*esd*.so
%endif

%if_with fame
%files -n %_name-fame
%_gst_libdir/*libfame*.so
%endif

%if_with festival
%files -n %_name-festival
%_gst_libdir/*festival*.so
%endif

%if_with ffmpeg
%files -n %_name-ffmpeg
%_gst_libdir/*ffmpeg*.so
%endif

%if_with flac
%files -n %_name-flac
%_gst_libdir/*flac*.so
%endif

%if_with flx
%files -n %_name-flx
%_gst_libdir/*flx*.so
%endif

%if_with gnome_vfs
%files -n %_name-gnomevfs
%_gst_libdir/*gnomevfs*.so
%endif

%if_with gsm
%files -n %_name-gsm
%_gst_libdir/*gsm*.so
%endif

%if_with http
%files -n %_name-http
%_gst_libdir/*http*.so
%endif

%if_with icecast
%files -n %_name-icecast
%_gst_libdir/*shout*.so
%endif

%if_with jack
%files -n %_name-jack
%_gst_libdir/*jack*.so
%endif

%if_with jpeg
%files -n %_name-jpeg
%_gst_libdir/libgstjpeg.so
%endif

%if_with jpegmmx
%files -n %_name-jpegmmx
%_gst_libdir/*jpegmmx*.so
%endif

%if_with ladspa
%files -n %_name-ladspa
%_gst_libdir/*ladspa*.so
%endif

%if_with lame
%files -n %_name-lame
%_gst_libdir/*lame*.so
%endif

%if_with yuv4mjpeg
%files -n %_name-yuv4mjpeg
%_gst_libdir/*y4m*.so
%endif

%if_with libdvdnav
%files -n %_name-libdvdnav
%_gst_libdir/*dvdnav*.so
%endif

%if_with libdvdread
%files -n %_name-libdvdread
%_gst_libdir/*dvdread*.so
%endif

%if_with raw1394
%files -n %_name-libraw1394
%_gst_libdir/*1394*.so
%endif

%if_with png
%files -n %_name-png
%_gst_libdir/*png*.so
%endif

%if_with mad
%files -n %_name-mad
%_gst_libdir/*mad*.so
%endif

%if_with mikmod
%files -n %_name-mikmod
%_gst_libdir/*mikmod*.so
%endif

%if_with mpeg
%files -n %_name-mpeg
%_gst_libdir/*mp1*.so
%_gst_libdir/*mpeg1encoder*.so
%_gst_libdir/*mpeg1systemencode*.so
%_gst_libdir/*mpeg1types*.so
%_gst_libdir/*mpeg2subt*.so
%_gst_libdir/*mpeg2types*.so
%_gst_libdir/*mpegaudio.so
%_gst_libdir/*mpegaudioparse*.so
%_gst_libdir/*mpegstream*.so
%endif

%if_with mpeg2dec
%files -n %_name-mpeg2dec
%_gst_libdir/*mpeg2dec*.so
%_gst_libdir/*mpeg2enc*.so
%endif

%if_with openquicktime
%files -n %_name-openquicktime
%_gst_libdir/*openquicktime*.so
%endif

%if_with oss
%files -n %_name-oss
%_gst_libdir/*oss*.so
%endif

%if_with qcam
%files -n %_name-qcam
%_gst_libdir/*qcam*.so
%endif

%if_with rtp
%files -n %_name-rtp
%_gst_libdir/*rtp*.so
%endif

%if_with sdl
%files -n %_name-sdl
%_gst_libdir/*sdl*.so
%endif

%if_with sid
%files -n %_name-sid
%_gst_libdir/*sid*.so
%endif

%files -n %_name-snapshot
%_gst_libdir/*snapshot.so

%if_with swfdec
%files -n %_name-swfdec
%_gst_libdir/*swfdec*.so
%endif

%if_with udp
%files -n %_name-udp
%_gst_libdir/*udp*.so
%endif

%if_with v4l
%files -n %_name-v4l
%_gst_libdir/*v4lelement.so
%endif

%if_with v4l2
%files -n %_name-v4l2
%_gst_libdir/*v4l2element.so
%endif

%if_with vcd
%files -n %_name-vcd
%_gst_libdir/*vcd*.so
%_gst_libdir/*cdxa*.so
%endif

%if_with videosink
%files -n %_name-videosink
%_gst_libdir/libgstvideosink*.so
%endif

%if_with visualisation
%files -n %_name-visualisation
#%_gst_libdir/*smooth*
%_gst_libdir/*spectrum*.so
%_gst_libdir/*vumeter.so
%_gst_libdir/*goom*.so
%_gst_libdir/*chart*.so
%_gst_libdir/*monoscope*.so
%_gst_libdir/*synaesthesia.so
%endif

%if_with vorbis
%files -n %_name-vorbis
%_gst_libdir/*vorbis*.so
%endif

%if_with xvideosink
%files -n %_name-xvideosink
%_gst_libdir/*xvideosink*.so
%endif

%files -n %_name-videotest
%_gst_libdir/*videotestsrc.so

%files -n %_name-video-effects
%_gst_libdir/*effectv*.so
%_gst_libdir/*deinterlace*.so
%_gst_libdir/*median.so
%_gst_libdir/*trtjpeg*.so
%_gst_libdir/*tvideocrop*.so
%_gst_libdir/*tvideoscale*.so
%_gst_libdir/*smpte.so
%_gst_libdir/*smooth.so

%changelog
* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.4-alt1
- 0.6.4

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.3-alt1
- 0.6.3
- gstreamer-{alsa,oss} provide gstreamer-hw-audio-sink (#2880)

* Sat Jun 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.2-alt1
- 0.6.2

* Sun Apr 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt1
- 0.6.1

* Sun Feb 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Wed Jan 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.2-alt1
- new version.

* Wed Jan 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt0.5
- new version.
- mpeg2dec plugin enabled.
- ffmpeg plugin doesn't require libffmpeg (cvs source included in package).

* Mon Dec 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt0.7
- gstreamer-plugins-ALL virtual package installs all plugins.

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt0.6
- new version.
- mpeg2dec plugin temporarily disabled.
- ffmpeg, png - new plugins.

* Mon Nov 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt0.6
- Fixed %%files sections.
- swfdec plugin.

* Mon Nov 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt0.5
- 0.4.2

* Fri May 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.4-alt0.1.1
- Fixed cicle dependence (gstreamer-plugins gstreamer-plugin-libs gstreamer-plugins)
- aalib plugin
- videosink plugin
- avi plugin broken.

* Sat Apr 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.4-alt0.1
- First test build for Sisyphus.
- There are problems with dv, jack, raw1394 and xmms plugins.
- newer versions of aalib, libavifile and gnome-vfs needed.
